/*
This is an Ozeki Display Module example code.
Displays 'OZEKI ROBOTICS!' on a HD44780 LCD screen.
You can see the work of this code in this youtube video:
https://www.youtube.com/watch?v=m446R_LSqs4
 */
#include <LiquidCrystal.h>

LiquidCrystal lcd(6,7,8,9,10,11,12);

void setup() {
  lcd.begin(16, 2);
  lcd.print("OZEKI ROBOTICS!");
 
  pinMode(3,OUTPUT);
  digitalWrite(3,HIGH); //turns backlight on

  delay(1000);
}

void loop() {
  for (int positionCounter = 0; positionCounter < 13; positionCounter++) {
    lcd.scrollDisplayLeft();
    delay(150);
  }

  for (int positionCounter = 0; positionCounter < 29; positionCounter++) {
    lcd.scrollDisplayRight();
    delay(150);
  }

  for (int positionCounter = 0; positionCounter < 16; positionCounter++) {
    lcd.scrollDisplayLeft();
    delay(150);
  }
  
  delay(150);
}
